Subject: Re: [PATCH 1/2] revision: add rdiff_other_arg to rev_info

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Sep 2025 10:35:37 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

> On Mon, Sep 22, 2025, at 23:58, Junio C Hamano wrote:
>> [email-masked] writes:
>>
>>> git-format-patch(1) is supposed to treat Git notes the same between
>>> notes output beneath the commit message and the notes output for the
>>> range-diff.
>>
>> Is this an opinion, or are there things that existing pieces of code
>> already do to achieve such a behaviour already?
>
> What I mean is that
>
>     Notes (...)
>
> Beneath the commit message and
>
>     ### Notes (...) ###
>
> In the range-diff should be from the same namespaces. It shouldn’t be,
> for example:
>
>     Notes (presentation):
>
> Beneath the commit message while the range-diff has:
>
>     ### Notes (testing) ###
>     ...
>     ### Notes (scratchpad) ###
>
> That’s the point of passing `--notes` to range-diff.

OK.  So it is more like "range-diff is supposed to show comparison
of pairs of patches; if format-patch shows one set of notes after
three-dash lines in its output, range-diff invoked by format-patch
to compare its patches with another set of patches should also be
comparing patches generated with the same set of notes".  That makes
sense to me.

> Thanks for the explanation.  I’ve added `.rdiff_other_arg = STRVEC_INIT
> \` to `REV_INFO_INIT`.

Yup, I think I already have a fix-up patch mixed in your series in
the integration result I pushed out last night.

> Could it be as simple as `log_arg` or `log_args`?

Yeah, that is much better than "other" (where it is unclear what are
the "primary" things that "others" are in contrast).

Thanks.